# Zoom Phone - February 28, 2022 On February 28, we added new phone API endpoints and updated existing ones. Note the new location of [Zoom Phone API](/docs/api/phone) and [Zoom Phone master account API](/docs/api/phone/ma). ## New Real time device location tracking - `GET /v2/phone/metrics/location_tracking` Call recording - `DELETE /v2/phone/recording/{recordingId}` Sync API - Call logs `GET /v2/phone/users/{userId}/call_logs/sync` - Voicemails `GET /v2/phone/users/{userId}/voice_mails/sync` ## Enhancements - Added new request field (`template_id`) and object (`voicemail_access_members`) in the [Update user's profile](/docs/api/phone/#tag/users/PATCH/phone/users/{userId}) API - `PATCH /v2/phone/users/{userId}` - Added a new response object (`voicemail_access_members`) in the [Get user's profile](/docs/api/phone/#tag/users/GET/phone/users/{userId}) API - `GET /v2/phone/users/{userId}` - `GET /phone/users/{userId}/settings` - New response fields (`music_on_hold_id`, `audio_prompt_language` and `status`) - New response fields (`devices`, `enable_phone_lock` and `pin_code`) in the `desk_phone` object - Added new request fields (`music_on_hold_id`, `audio_prompt_language`) in the [Update user profile settings](/docs/api/phone/#tag/users/PATCH/phone/users/{userId}/settings) API - `PATCH /phone/users/{userId}/settings` - Added a new request (PATCH) or response (GET) field (`allow_callers_check_voicemail`) in the call handling settings API - `GET /v2/phone/extension/{extensionId}/call_handling/settings` - `PATCH /v2/phone/extension/{extensionId}/call_handling/settings/{settingType}` - Added a new request field (`country`) in blocked list API - `POST /v2/phone/blocked_list` - `PATCH /v2/phone/blocked_list/{accountBlockedId}` - Added a new error message (`Common area optimization option is enabled`) in the [common area phones](/docs/api/phone/#tag/common-areas) API - `POST /v2/phone/common_area_phones` - `GET /v2/phone/common_area_phones` - `GET /v2/phone/common_area_phones/{commonAreaPhoneId}` - `PATCH /v2/phone/common_area_phones/{commonAreaPhoneId}` - `DELETE /v2/phone/common_area_phones/{commonAreaPhoneId}` - `PATCH /v2/phone/common_area_phones/{commonAreaPhoneId}/calling_plans` - `DELETE /v2/phone/common_area_phones/{commonAreaId}/calling_plans/{type}` - `PATCH /v2/phone/common_area_phones/{commonAreaPhoneId}/phone_numbers` - `DELETE /v2/phone/common_area_phones/{commonAreaId}/phone_numbers/{phoneNumberId}` ## Bug Fixes - Fixed so the `invalid next page token` error is returned when querying with the `to` field that exceeds the current date in call logs API - `GET /v2/phone/users/{userId}/call_logs` - `GET /v2/phone/call_logs`